%define oname PullParser

Summary: XML Pull Parser
Name: xpp2
Version: 2.1.10
Release: alt1

License: Apache Software License - style
Url: http://www.extreme.indiana.edu/xgws/xsoap/xpp/
Group: Text tools

Source0: PullParser2.1.10.tar.bz2
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit xml-commons-apis
Requires: xml-commons-apis

BuildArch: noarch

%description
XML Pull Parser 2 (XPP2) is a simple and fast incremental XML parser.
NOTE: XPP2 is no longer developed and is on maintenance mode.
All active developement concentrates on its successor XPP3/MXP1

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
%summary.

%package manual
Summary: Manual for %name
Group: Development/Java

%description manual
%summary.

%package demo
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
%summary.

%prep
%setup -q -n %oname%version
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/xml-commons-apis.jar
%ant_build all api api.impl
export CLASSPATH=$CLASSPATH:%_javadir/junit.jar:build/tests:build/lib/%oname-%version.jar
java AllTests

%install

%__mkdir -p %buildroot{%_javadir/%name,%_javadocdir/%name/{api,api_impl},%_datadir/%name}

# jars

%__cp -p build/lib/%oname-intf-%version.jar \
  %buildroot%_javadir/%name/%name-intf.jar
%__cp -p build/lib/%oname-standard-%version.jar \
  %buildroot%_javadir/%name/%name-standard.jar
%__cp -p build/lib/%oname-%version.jar \
  %buildroot%_javadir/%name/%name.jar
%__cp -p build/lib/%oname-x2-%version.jar \
  %buildroot%_javadir/%name/%name-x2.jar

# javadoc
%__cp -pr doc/api/* %buildroot%_javadocdir/%name/api
%__cp -pr doc/api_impl/* %buildroot%_javadocdir/%name/api_impl

%__rm -rf doc/{build.txt,api,api_impl}

# demo
%__cp -pr src/java/samples/* %buildroot%_datadir/%name

%files
%defattr(0644,root,root,0755)
%doc README.html LICENSE.txt
%_javadir/%name

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%files demo
%defattr(0644,root,root,0755)
%_datadir/%name

%changelog
* Sun Apr 24 2005 Vladimir Lettiev <crux@altlinux.ru> 2.1.10-alt1
- Initial build for ALT Linux Sisyphus

